import { IgxCancelEventArgs } from "igniteui-angular-core";
/**
 * Event arguments for the
 * editModeEntering event.
*/
export class IgxSpreadsheetEditModeEnteringEventArgs extends IgxCancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
    /**
     * Returns the cell for which the control is going into edit mode.
    */
    get cell() {
        return this.i.cell;
    }
}
